/* 

    Search for any component with ctrl + F and typing - " component: component_id "

*/

/* component: header */

.blogee-component-header {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    margin: 15px 10%;
}

.blogee-component-header > h1 {
    margin-bottom: 5px;
    text-align: left;
}

.blogee-component-header > p {
    text-align: left;
}

.blogee-component-header > img {
    width: 100%;
    aspect-ratio: 16 / 9;
    object-fit: contain;

    border-radius: 15px;
    background-color: rgb(204, 204, 204);
}

.blogee-component-header > div {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 15px;

    text-align: left;
}

.blogee-component-header-soap {
    padding: 5px;
    border-radius: 5px;
    background-color: #f3f3f3;
}

.blogee-component-header-labels {
    gap: 10px !important;
    margin-top: 20px;

    display: flex;
    justify-content: center;
    align-items: center;
}

.blogee-component-header-dot {
    width: 4px;
    height: 4px;
    border-radius: 100%;

    background-color: black;
}

.blogee-component-header-author-img {
    width: 40px;
    height: 40px;
    border-radius: 40%;
}

.blogee-component-header {
    font-family: "Roboto", sans-serif;
}

.blogee-component-header-reading-progress {
    position: fixed;

    bottom: 0;
    left: 0;

    height: 5vh;
    width: 100%;

    display: none;
    transform: translateY(100%);

    justify-content: center;
    align-items: center;

    gap: 10px;
    transition: 2s;

    background-color: #f3f3f3;
}

.blogee-component-header-reading-progress.visible {
    display: flex;
    transform: none;
}

.blogee-component-header-reading-progress-container {
    width: 95%;
    height: 50%;
    margin: 25px;
}

.blogee-component-header-reading-progress-container-bar {
    width: 100%;
    height: 100%;

    background-color: #0018b2;
}

.blogee-component-header-reading-progress-container > span {
    height: 100%;
}

/* component: paragraph_with_header */

.blogee-component-paragraph-with-header {
    font-family: "Roboto", Arial, sans-serif;
    text-align: justify;
}

/* component: photo_right */

.blogee-component-photo-right {
    display: flex;
    flex-direction: row;
    justify-content: center;
    font-family: Roboto, sans-serif;

    margin: 15px 10px;
    width: calc(100% - 20px);
}

.blogee-component-photo-right-section-content.blogee-component-photo-right-right {
    padding-right: 50px;
}

.blogee-component-photo-right-section-content.blogee-component-photo-right-left {
    padding-left: 50px;
}

.blogee-component-photo-right-img-display {
    display: flex;
    justify-content: center;
    align-items: center;

    gap: 15px;

    min-width: 30%;
}

.blogee-component-photo-right-img-container {
    display: flex;
    justify-content: center;
    align-items: center;

    flex-direction: column;
}

.blogee-component-photo-right-img-description {
    font-size: smaller;
    padding: 10px 10% 10px 10%;
}

.blogee-component-photo-right-img {
    height: auto;
    max-width: 500px;
    width: 100%;

    color: rgb(204, 204, 204);

    border-radius: 15px;
    background-color: rgba(204, 204, 204, 0.596);
}

/* component: photo_left */

.blogee-component-photo-left {
    display: flex;
    flex-direction: row;
    justify-content: center;
    font-family: Roboto, sans-serif;

    margin: 15px 10px;
    width: calc(100% - 20px);
}

.blogee-component-photo-left-section-content.blogee-component-photo-left-left {
    padding-left: 50px;
}

.blogee-component-photo-left-img-display {
    display: flex;
    justify-content: center;
    align-items: center;

    gap: 15px;

    min-width: 30%;
}

.blogee-component-photo-left-img-container {
    display: flex;
    justify-content: center;
    align-items: center;

    flex-direction: column;
}

.blogee-component-photo-left-img-description {
    font-size: smaller;
    padding: 10px 10% 10px 10%;
}

.blogee-component-photo-left-img {
    height: auto;
    max-width: 500px;
    width: 100%;

    color: rgb(204, 204, 204);

    border-radius: 15px;
    background-color: rgba(204, 204, 204, 0.596);
}

/* component: start_text */

.blogee-component-start-text {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    font-family: "Roboto", sans-serif;
    margin: 15px 0;
}

.blogee-component-start-text > p::first-letter {
    font-size: 3em;
    float: left;
    line-height: 1;
    margin-right: 8px;
    font-weight: bold;
    font-family: "Times New Roman", sans-serif;
}

/* component: text */

.blogee-component-text {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    font-family: "Roboto", sans-serif;
    margin: 15px 0;
}

/* component: quote */

.blogee-component-quote {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    font-family: "Roboto", sans-serif;
    font-size: large;
    font-weight: bolder;
    font-style: italic;
    width: 100%;
    line-height: 3em;
    margin: 15px 0;
}

.blogee-component-quote q {
    max-width: 75%;
}

.blogee-component-quote q::before {
    font-size: 3em;
    margin-right: 6px;
}

.blogee-component-quote q::after {
    font-size: 3em;
    padding-left: 6px;
}

/* component: breakline */

.blogee-component-breakline {
    display: flex;
    justify-content: center;
    align-content: center;

    margin: 15px 0;

    height: 100%;
    width: 100%;
}

.blogee-component-breakline-line {
    align-self: center;
    text-align: center;
    align-content: center;

    background-color: rgb(222 222 222);
    height: 22px;
    width: 98%;

    font-size: 18px;

    border-radius: 20px;
}

/* component: photo_bottom */

.blogee-component-photo-bottom {
    display: flex;
    flex-direction: column;
    justify-content: center;
    font-family: Roboto, sans-serif;

    margin: 15px 10px;
    width: calc(100% - 20px);
}

.blogee-component-photo-bottom h4 {
    text-align: center;
}

.blogee-component-photo-bottom {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.blogee-component-photo-bottom-img-container {
    display: flex;
    justify-content: center;
    align-items: center;

    flex-direction: column;
}

.blogee-component-photo-bottom-img-description {
    font-size: smaller;
    padding: 10px 10% 10px 10%;
    text-align: center;
}

.blogee-component-photo-bottom-img {
    height: auto;
    max-width: 85%;
    max-height: 50vh;

    width: 100%;
    object-fit: contain;

    color: rgb(204, 204, 204);

    border-radius: 15px;
    background-color: rgba(204, 204, 204, 0.596);
}

/* component: pros_cons */

.blogee-component-pros-cons-container {
    display: flex;
    flex-direction: row;
    justify-content: center;

    font-family: "Roboto", sans-serif;
    margin: 15px 0;
}

.blogee-component-pros-cons-left {
    width: 40%;
    background-color: rgb(166, 240, 215);
    margin: 10px;

    font-size: 2em;

    border-radius: 10%;
}

.blogee-component-pros-cons-left-text {
    margin: 40px;
}

.blogee-component-pros-cons-right {
    width: 40%;
    background-color: rgb(252, 157, 181);
    margin: 10px;

    font-size: 2em;

    border-radius: 10%;
}

.blogee-component-pros-cons-right-text {
    margin: 40px
}

.blogee-component-pros-cons-header-left {
    background-color: rgb(0, 172, 114);
    border-top-left-radius: 30px;
    border-top-right-radius: 30px;
    color: white;

    font-weight: 600;
    font-size: 2em;
    text-align: center;

    padding: 20px;
}

.blogee-component-pros-cons-header-right {
    background-color: rgb(214, 1, 54);
    border-top-left-radius: 30px;
    border-top-right-radius: 30px;
    color: white;

    font-weight: 600;
    font-size: 2em;
    text-align: center;

    padding: 20px;
}

/* component: photo */

.blogee-component-photo {
    display: flex;
    flex-direction: column;
    justify-content: center;
    font-family: Roboto, sans-serif;

    margin: 15px 10px;
    width: calc(100% - 20px);
}

.blogee-component-photo-img-container {
    display: flex;
    justify-content: center;
    align-items: center;

    flex-direction: column;
}

.blogee-component-photo-img {
    height: auto;
    max-width: 100%;
    max-height: 45vh;

    width: 100%;
    object-fit: contain;

    color: rgb(204, 204, 204);

    border-radius: 15px;
    background-color: rgba(204, 204, 204, 0.596);
}

.blogee-component-photo-img-description {
    display: flex;
    font-size: small;
    padding: 10px 10% 10px 10%;
    text-align: center;
}

/* component: photo_double */

.blogee-component-photo-double {
    display: flex;
    flex-direction: row;
    justify-content: center;
    font-family: Roboto, sans-serif;

    margin: 15px 10px;
    width: calc(100% - 20px);

    gap: 1%;
}

.blogee-component-photo-double-img-container {
    width: 49.5%;
    display: flex;
    flex: 1;
    justify-content: center;
    align-items: center;

    flex-direction: column;
}

.blogee-component-photo-double-img {
    height: auto;
    max-height: 40vh;

    width: 100%;
    object-fit: cover;

    color: rgb(204, 204, 204);

    border-radius: 15px;
    background-color: rgba(204, 204, 204, 0.596);
}

.blogee-component-photo-double-img-description {
    display: flex;
    flex-grow: 1;
    font-size: smaller;
    padding: 10px 10% 10px 10%;
    text-align: center;
}

/* component: sticky_note */

.blogee-component-sticky-note {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    font-family: "Roboto", sans-serif;

    width: 100%;
    height: auto;
    margin: 15px 0;
}

.blogee-component-sticky-note p {
    width: 15%;
    background-color: rgba(204, 204, 204, 0.596);
    padding: 10px;

    box-shadow: rgba(0, 0, 0, 0.16) 0px 3px 6px, rgba(0, 0, 0, 0.23) 0px 3px 6px;
    border-radius: 10px;
}

/* component: dash_quote */

.blogee-component-dash-quote {
    display: flex;
    flex-direction: column;
    align-items: center;
    font-family: "Roboto", sans-serif;
    font-size: larger;
    font-weight: bolder;
    font-style: italic;
    width: 100%;
    margin: 15px 0;
}

.blogee-component-dash-quote-container {
    max-width: 75%;
    display: flex;
    align-items: flex-start;
}

.blogee-component-dash-quote q {
    quotes: none;
}

.blogee-component-dash-quote q::before {
    content: "— ";
    margin-right: 10px;
    align-self: flex-start;
}

.blogee-component-dash-quote p {
    margin-top: 2em;
    font-size: small;
    font-weight: bolder;
    font-style: italic;
}

/* component: highlight */

.blogee-component-highlight {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 100%;
    font-family: "Roboto", sans-serif;
    padding: 5px;
    margin: 15px 0;
}

.blogee-component-highlight p {
    border-left: 25px rgba(204, 204, 204, 0.418) solid;
    border-radius: 10px;
    max-width: 750px;
    justify-content: flex-start;
    padding: 15px;
    background-image: linear-gradient(to top,rgba(204, 204, 204, 0.322) 0%, rgba(204, 204, 204, 0.15) 40%, rgba(204, 204, 204, 0.05) 70%, #ffffff 100%);
    box-shadow: rgba(0, 0, 0, 0.16) 0px 3px 6px, rgba(0, 0, 0, 0.23) 0px 3px 6px;

}

/* component: details */

.blogee-component-details {
    margin: 15px 0;
    font-family: "Roboto", sans-serif;
    text-align: center;

    padding-left: 10%;
    padding-right: 10%;
    margin-left: auto;
    margin-right: auto;

    height: fit-content;
}

.blogee-component-details-summary {
    font-family: "Roboto", sans-serif;
    text-align: center;
}

.blogee-component-details-text {
    font-family: "Roboto", sans-serif;
    text-align: center;
}

/* component: contact_phone */

.blogee-component-contact-phone-container {
    margin: 15px 0;
    display: flex; 
    flex-direction: row;
    justify-content: center;
    align-items: center;

    margin-left: auto;
    margin-right: auto;
    height: 100%;
}

.blogee-component-contact-phone-number {
    background-color: rgb(222 222 222);
    border-radius: 15px;

    padding: 5px;
    padding-left: 15px;
    padding-right: 12px;
    margin-left: 8px;

    font-weight: 700;
    font-family: "Roboto", sans-serif;
}

.blogee-component-contact-phone-icon {
    background-color: rgb(222 222 222);
    border-radius: 15px;
    padding: 5px;
}

/* component: contact_email */

.blogee-component-contact-email-container {
    margin: 15px 0;
    display: flex; 
    flex-direction: row;
    justify-content: center;
    align-items: center;

    margin-left: auto;
    margin-right: auto;
    height: 100%;
}

.blogee-component-contact-email-address {
    background-color: rgb(222 222 222);
    border-radius: 15px;

    padding: 5px;
    padding-left: 15px;
    padding-right: 12px;
    margin-left: 8px;

    font-weight: 700;
    font-family: "Roboto", sans-serif;
}

.blogee-component-contact-email-icon {
    background-color: rgb(222 222 222);
    border-radius: 15px;
    padding: 5px;
}

/* component: cover */

.blogee-component-cover {
    margin: 15px 0;
    width: 100%;
}

.blogee-component-cover-img-container {
    margin-left: auto;
    margin-right: auto;
    width: 65%;

    /*display: flex;*/
    /*position: relative;*/
    display: grid;
}

.blogee-component-cover-img {
    width: 100%;
    height: 100%;
    object-fit: contain;

    border-radius: 15px;

    grid-area: 1 / 1;
    justify-self: center;
    align-self: center;
}

.blogee-component-cover-text {
    grid-area: 1 / 1;
    justify-self: center;
    align-self: center;

    width: 100%;

    text-align: center;
    align-content: center;
    
    color: white;
    font-family: "Roboto", sans-serif;
    font-weight: 700;
    /* Font size can be changed without any issue, if need-be. */
    font-size: 50px; 
    text-shadow: -1px -1px 0 #000, 1px -1px 0 #000, -1px 1px 0 #000, 1px 1px 0 #000;
}

/* component: large_photo_right */

.blogee-component-large-photo-right {
    display: flex;
    justify-content: center;
    font-family: "Roboto", sans-serif;

    margin: 15px 0;
    width: 100%;
}

.blogee-large-photo-right-container {
    display: flex;
    flex-direction: row;

    background-color: rgba(204, 204, 204, 0.596);
    box-shadow: rgba(0, 0, 0, 0.16) 0px 3px 6px, rgba(0, 0, 0, 0.23) 0px 3px 6px;
    border-radius: 15px;
    padding: 20px;
    width: 100%;
    max-width: 70%;
    gap: 20px;
}

.blogee-component-large-photo-right-content {
    flex: 0 0 30%;
    min-width: 250px;
}

.blogee-component-large-photo-right-content h4 {
    font-size: larger;
}

.blogee-component-large-photo-right-img-display {
    display: flex;
    justify-content: center;
    align-items: center;

    flex: 1;
    min-width: 0;
}

.blogee-component-large-photo-right-img {
    /* height: 100%; */
    max-width: 500px;
    width: 100%;

    border-radius: 15px;
    background-color: rgb(204, 204, 204);
    padding: 10px;
}

/* component: large_photo_left */

.blogee-component-large-photo-left {
    display: flex;
    justify-content: center;
    font-family: "Roboto", sans-serif;
    margin: 15px 0;
    width: 100%;
}

.blogee-large-photo-left-container {
    display: flex;
    flex-direction: row;
    background-color: rgba(204, 204, 204, 0.596);
    box-shadow: rgba(0, 0, 0, 0.16) 0px 3px 6px, rgba(0, 0, 0, 0.23) 0px 3px 6px;
    border-radius: 15px;
    padding: 20px;
    width: 100%;
    max-width: 70%;
    gap: 20px;
}

.blogee-component-large-photo-left-content {
    flex: 0 0 30%;
    min-width: 250px;
}

.blogee-component-large-photo-left-content h4 {
    font-size: larger;
}

.blogee-component-large-photo-left-img-display {
    display: flex;
    justify-content: center;
    align-items: center;

    flex: 1;
    min-width: 0;
}

.blogee-component-large-photo-left-img {
    /* height: 100%; */
    max-width: 500px;
    width: 100%;

    border-radius: 15px;
    background-color: rgb(204, 204, 204);
    padding: 10px;
}

/* component: quick_note */

.blogee-component-quick-note {
    display: flex;
    justify-content: center;
    font-family: "Roboto", sans-serif;
    width: 100%;
    margin: 15px 0;
}

.blogee-component-quick-note-content
{
    width: 40%;
    background-color: rgb(204, 204, 204);
    border-radius: 15px;
    padding: 0px 20px 20px 20px;
    box-shadow: rgba(0, 0, 0, 0.16) 0px 3px 6px, rgba(0, 0, 0, 0.23) 0px 3px 6px;
}

.blogee-component-quick-note-content h4
{
    border-left: rgba(255, 255, 255, 0.705) 5px solid;
    padding-left: 5px;
    display: flex;
    font-size: larger;
    font-weight: bolder;
    margin-bottom: 0.5em;
}

.blogee-component-quick-note-content p
{
    font-size: smaller;
    font-weight: bold;
    text-decoration: underline;
    margin-bottom: 2em;
}

.blogee-component-quick-note-main-text
{
    background-color: rgba(255, 255, 255, 0.705);
    border-radius: 15px;
    padding: 8px;
}

.blogee-component-quick-note-img-display {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 3px;
    background-color: rgba(255, 255, 255, 0.705);
    border-radius: 15px;
    margin-top: 0.8em;

    flex: 1;
    min-width: 0;
}

.blogee-component-quick-note-img {
    max-width: 500px;
    width: 100%;

    border-radius: 15px;
    background-color: rgb(204, 204, 204);
}

/* component: photo_quote */

.blogee-component-photo-quote {
    margin: 15px 0;
    width: 100%;
}

.blogee-component-photo-quote-container {
    margin-left: auto;
    margin-right: auto;
    width: 65%;

    display: grid;
}

.blogee-component-photo-quote-img {
    width: 100%;
    height: 100%;
    object-fit: contain;

    border-radius: 15px;

    grid-area: 1 / 1;
    justify-self: center;
    align-self: center;
}

.blogee-component-photo-quote-text-container {
    grid-area: 1 / 1;
    justify-self: center;
    align-self: center;

    width: 80%;

    text-align: center;
    align-content: center;
    
    color: white;
    font-family: "Roboto", sans-serif;
    font-weight: 700;
    text-shadow: -1px -1px 0 #000, 1px -1px 0 #000, -1px 1px 0 #000, 1px 1px 0 #000;
}

.blogee-component-photo-quote-text-quote
{
    font-size: xx-large;

    background: rgba(0, 0, 0, 0.6);
    /* border-radius: 8px; */
    /* If rounded corners are prefered, uncomment the line directly above. */

    padding-top: 10px;
    padding-bottom: 10px;
    padding-left: 20px;
    padding-right: 20px;
    line-height: 200%;

    box-decoration-break: clone;
}

.blogee-component-photo-quote-text-author
{
    font-size: medium;

    background: rgba(252, 0, 0, 0.432);
    /* Color based off of "quoteslyfe" quotes. Perhaps it would be wise to make this user-chosen?  */
    border-radius: 8px;
    padding: 8px;
    line-height: 160%;
}

/* component: contact_other */

.blogee-component-contact-other-container {
    margin: 15px 0;
    display: flex; 
    flex-direction: row;
    justify-content: center;
    align-items: center;

    margin-left: auto;
    margin-right: auto;
    height: 100%;
}

.blogee-component-contact-other-text {
    background-color: rgb(222 222 222);
    border-radius: 15px;

    padding: 5px;
    padding-left: 15px;
    padding-right: 12px;
    margin-left: 8px;

    font-weight: 700;
    font-family: "Roboto", sans-serif;
}

.blogee-component-contact-other-icon {
    background-color: rgb(222 222 222);
    border-radius: 15px;
    padding: 5px;
}

/* component: chapter_header */

.blogee-component-chapter-header {
    display: flex;
    flex-direction: row;
    justify-content: space-around;

    font-family: "Roboto", Arial, sans-serif;
    text-align: center;
    font-size: x-large;
}

.blogee-component-chapter-header-text {
    align-content: center;
}

.blogee-component-chapter-header-hr
{
    width: 4px;
    border-radius: 4px;

    background-color: #000;
    border-color: #000;

    margin-right: 1%;
    margin-left: 1%;
}

/* component: video */

.blogee-component-video-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;

    font-family: Roboto, sans-serif;

    margin-top: 15px;
    margin-bottom: 15px;
}

.blogee-component-video-video 
{
    width: calc(100% - 290px);
    max-height: 490px;

    color: rgb(204, 204, 204);
    background-color: rgba(204, 204, 204, 0.596);
    border-radius: 15px;

    object-fit: contain;
}

.blogee-component-video-description {
    font-size: small;
    text-align: center;
    
    justify-content: center;
    align-items: center;

    padding: 10px 10% 10px 10%;
}

/* component: video_left */

.blogee-component-video-left {
    display: flex;
    flex-direction: row;
    justify-content: center;

    font-family: Roboto, sans-serif;

    margin-top: 15px;
    margin-bottom: 15px;
}

.blogee-component-video-left-video-display {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;

    min-width: 55%;
}

.blogee-component-video-left-video 
{
    width: 80%;
    max-height: 80%;

    color: rgb(204, 204, 204);
    background-color: rgba(204, 204, 204, 0.596);
    border-radius: 15px;

    object-fit: contain;
}

.blogee-component-video-left-description {
    font-size: small;
    text-align: center;
    
    justify-content: center;
    align-items: center;

    padding: 10px 10% 10px 10%;
}

.blogee-component-video-left-video-content {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;

    padding: 10px;
}

.blogee-component-video-left-text {
    padding: 10px 10% 10px 10%;
}

/* component: video_right */

.blogee-component-video-right {
    display: flex;
    flex-direction: row-reverse;
    justify-content: center;

    font-family: Roboto, sans-serif;

    margin-top: 15px;
    margin-bottom: 15px;
}

.blogee-component-video-right-video-display {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;

    min-width: 55%;
}

.blogee-component-video-right-video 
{
    width: 80%;
    max-height: 80%;

    color: rgb(204, 204, 204);
    background-color: rgba(204, 204, 204, 0.596);
    border-radius: 15px;

    object-fit: contain;
}

.blogee-component-video-right-description {
    font-size: small;
    text-align: center;
    
    justify-content: center;
    align-items: center;

    padding: 10px 10% 10px 10%;
}

.blogee-component-video-right-video-content {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.blogee-component-video-right-text {
    padding: 10px 10% 10px 10%;
}

/* component: audio */

.blogee-component-audio {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    font-family: "Roboto", sans-serif;
    margin: 15px 10% 15px 10%;
}